<div class="w-full md:w-1/3 xl:w-1/4 p-6 max-h-60 mb-10">
  <a href="{% url 'catalog' product.slug %}">
    <img
      class="rounded-xl border-2 border-ctp-pink hover:border-ctp-green object-cover w-full h-full p-1 hover:animate-pulse bg-ctp-crust"
      src="{{ product.get_thumbnail }}" alt="">
  </a>

  <div class="pt-3 flex items-center justify-between">
    <a href="{% url 'catalog' product.slug %}" class="text-lg text-ctp-subtext1 font-semibold">{{ product.name }}</a>
    <a 
      href="#{% url 'catalog' product.slug %}" 
      hx-get="{% url 'add_to_cart' product.id %}"
      hx-target="#menu-cart-button"
      hx-swap="outerHTML"
      
      class="text-ctp-subtext0 hover:text-ctp-pink">
      <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" stroke-width="1.5" stroke="currentColor"
        class="w-6 h-6">
        <path stroke-linecap="round" stroke-linejoin="round"
          d="M15.75 10.5V6a3.75 3.75 0 1 0-7.5 0v4.5m11.356-1.993 1.263 12c.07.665-.45 1.243-1.119 1.243H4.25a1.125 1.125 0 0 1-1.12-1.243l1.264-12A1.125 1.125 0 0 1 5.513 7.5h12.974c.576 0 1.059.435 1.119 1.007ZM8.625 10.5a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Zm7.5 0a.375.375 0 1 1-.75 0 .375.375 0 0 1 .75 0Z" />
      </svg>
    </a>
  </div>

  <p class="text-ctp-subtext0">$ {{ product.price }}</p>
</div>
